Light APIv1.0.0

API / Reference / Attachments

List attachments

GET https://api.light.inc/v1/attachments

Returns a list of attachments associated with a specific resource

Authorization

Send one of these on every request. See Authentication for how to get credentials.

  • API key

    Basic authentication header of the form Basic <api_key>, where <api_key> is your api key.

  • Bearer token

Query parameters

  • resourceId string · uuid

Response

  • id string · uuid

  • companyId string · uuid

  • resourceId string · uuid

  • documentKey string

  • fileName string

  • contentType string

  • createdBy string · uuid

  • metadata object

    • type string

      ⚠️ This enum is not exhaustive; new values may be added in the future.

      One of AR

  • createdAt string · date-time

  • updatedAt string · date-time